LibOFX: cmdline.h File Reference

- Main Page
- Namespaces
- Data Structures
- Files
- Related Pages

- File List
- Globals

# cmdline.h File Reference

## Detailed Description

The header file for the command line option parser generated by GNU Gengetopt version 2.21 http://www.gnu.org/software/gengetopt. DO NOT modify this file, since it can be overwritten.

Author:
  GNU Gengetopt by Lorenzo Bettini

Definition in file cmdline.h.

Go to the source code of this file.

## Data Structures
struct | gengetopt_args_info
| Where the command line options are stored. More...
struct | cmdline_parser_params
| The additional parameters to pass to parser functions. More...
## Defines
#define | CMDLINE_PARSER_PACKAGE PACKAGE
| the program name
#define | CMDLINE_PARSER_VERSION VERSION
| the program version
## Functions
int | cmdline_parser (int argc, char *const *argv, struct gengetopt_args_info *args_info)
int | cmdline_parser2 (int argc, char *const *argv, struct gengetopt_args_info *args_info, int override, int initialize, int check_required)
int | cmdline_parser_ext (int argc, char *const *argv, struct gengetopt_args_info *args_info, struct cmdline_parser_params *params)
int | cmdline_parser_file_save (const char *filename, struct gengetopt_args_info *args_info)
void | cmdline_parser_print_help (void)
void | cmdline_parser_print_version (void)
cmdline_parser_params * | cmdline_parser_params_init ()
void | cmdline_parser_init (struct gengetopt_args_info *args_info)
void | cmdline_parser_free (struct gengetopt_args_info *args_info)
int | cmdline_parser_required (struct gengetopt_args_info *args_info, const char *prog_name)
## Variables
const char * | gengetopt_args_info_purpose
| the purpose string of the program
const char * | gengetopt_args_info_usage
| the usage string of the program
const char * | gengetopt_args_info_help []
| all the lines making the help output

## Function Documentation

int cmdline_parser | ( | int | argc,
|  | char *const * | argv,
|  | struct gengetopt_args_info * | args_info |
| ) |  |  |

The command line parser

Parameters:

  | argc | the number of command line options
  | argv | the command line options
  | args_info | the structure where option information will be stored

Returns:
  0 if everything went fine, NON 0 if an error took place

Definition at line 258 of file cmdline.c.

int cmdline_parser2 | ( | int | argc,
|  | char *const * | argv,
|  | struct gengetopt_args_info * | args_info,
|  | int | override,
|  | int | initialize,
|  | int | check_required |
| ) |  |  |

The command line parser (version with additional parameters - deprecated)

Parameters:

  | argc | the number of command line options
  | argv | the command line options
  | args_info | the structure where option information will be stored
  | override | whether to override possibly already present options
  | initialize | whether to initialize the option structure my_args_info
  | check_required | whether to check that all required options were provided

Returns:
  0 if everything went fine, NON 0 if an error took place

Deprecated:
  use cmdline_parser_ext() instead

Definition at line 280 of file cmdline.c.

int cmdline_parser_ext | ( | int | argc,
|  | char *const * | argv,
|  | struct gengetopt_args_info * | args_info,
|  | struct cmdline_parser_params * | params |
| ) |  |  |

The command line parser (version with additional parameters)

Parameters:

  | argc | the number of command line options
  | argv | the command line options
  | args_info | the structure where option information will be stored
  | params | additional parameters for the parser

Returns:
  0 if everything went fine, NON 0 if an error took place

Definition at line 264 of file cmdline.c.

int cmdline_parser_file_save | ( | const char * | filename,
|  | struct gengetopt_args_info * | args_info |
| ) |  |  |

Save the contents of the option struct into a (text) file. This file can be read by the config file parser (if generated by gengetopt)

Parameters:

  | filename | the file where to save
  | args_info | the option struct to save

Returns:
  0 if everything went fine, NON 0 if an error took place

Definition at line 180 of file cmdline.c.

void cmdline_parser_free | ( | struct gengetopt_args_info * | args_info | ) |

Deallocates the string fields of the gengetopt_args_info structure (but does not deallocate the structure itself)

Parameters:

  | args_info | the structure to deallocate

Definition at line 235 of file cmdline.c.

void cmdline_parser_init | ( | struct gengetopt_args_info * | args_info | ) |

Initializes the passed gengetopt_args_info structure's fields (also set default values for options that have a default)

Parameters:

  | args_info | the structure to initialize

Definition at line 127 of file cmdline.c.

struct cmdline_parser_params* cmdline_parser_params_init | ( |  | ) |

Allocates dynamically a cmdline_parser_params structure and initializes all its fields to 0

Returns:
  the initialized cmdline_parser_params structure

Definition at line 138 of file cmdline.c.

void cmdline_parser_print_help | ( | void |  | ) |

Print the help

Definition at line 109 of file cmdline.c.

void cmdline_parser_print_version | ( | void |  | ) |

Print the version

Definition at line 103 of file cmdline.c.

int cmdline_parser_required | ( | struct gengetopt_args_info * | args_info,
|  | const char * | prog_name |
| ) |  |  |

Checks that all the required options were specified

Parameters:

  | args_info | the structure to check
  | prog_name | the name of the program that will be used to print possible errors

Returns:

Definition at line 302 of file cmdline.c.